[
	{ "key": "w", "command": "move_forward", "on_up": true, "comment": "向前移动" },
	{ "key": "s", "command": "move_back", "on_up": true, "comment": "向后移动" },
	{ "key": "a", "command": "move_left", "on_up": true, "comment": "向左移动" },
	{ "key": "d", "command": "move_right", "on_up": true, "comment": "向右移动" },
	{ "key": "e", "command": "interact", "on_up": true, "comment": "" },
	{ "key": "z", "command": "weapon", "on_up": true , "comment": "" },
	{ "key": "shift", "command": "run", "on_up": true, "comment": "" },
	{ "key": "space", "command": "jump", "on_up": true, "comment": "" },
	{ "key": "tab", "command": "camera_switch_control_mode", "on_up": true, "comment": "" },
	{ "key": "oem_3", "command": "camera_switch_mode", "on_up": true, "comment": "" },
	{ "key": "lbutton", "command": "light_attack", "on_up": true, "comment": "" },
	{ "key": "rbutton", "command": "hard_attack", "on_up": true, "comment": "" },
	{ "key": "p", "command": "switch_accelerate_control_mode", "comment": "" },
	{ "key": "b", "command": "skill_blink", "on_up": true, "comment": "" },
	{ "key": "add", "command": "speed_up", "on_up": true, "comment": "" },
	{ "key": "subtract", "command": "speed_down", "on_up": true, "comment": "" },
	{ "key": "alt", "command": "defend", "on_up": true, "comment": "" },
	{ "key": "ctrl", "command": "lock_walk", "on_up": true, "comment": "" },
	{ "key": "i", "command": "pick_drop", "on_up": true , "comment": "" },
	{ "key": "l", "command": "dodge", "on_up": true, "comment": "" },
 	{ "key": "y", "command": "lock", "on_up": true, "comment": "" },
 	{ "key": "t", "command": "execute", "on_up": true, "comment": "" },
 	{ "key": "q", "command": "flight_roll_left", "on_up": true, "comment": "" },
	{ "key": "e", "command": "flight_roll_right", "on_up": true, "comment": "" },
	{ "key": "space", "command": "flight_thrust", "on_up": true, "comment": "" },

	{ "key": "1", "command": "numpad", "args": [1], "on_up": true, "comment": "" },
	{ "key": "2", "command": "numpad", "args": [2], "on_up": true, "comment": "" },
	{ "key": "3", "command": "numpad", "args": [3], "on_up": true, "comment": "" },
	{ "key": "4", "command": "numpad", "args": [4], "on_up": true, "comment": "" },
	{ "key": "5", "command": "numpad", "args": [5], "on_up": true, "comment": "" },
	{ "key": "6", "command": "numpad", "args": [6], "on_up": true, "comment": "" },
	{ "key": "7", "command": "numpad", "args": [7], "on_up": true, "comment": "" },
	{ "key": "8", "command": "numpad", "args": [8], "on_up": true, "comment": "" },
	{ "key": "9", "command": "numpad", "args": [9], "on_up": true, "comment": "" },
	{ "key": "0", "command": "numpad", "args": [0], "on_up": true, "comment": "" },
	
	{ "key": "numpad1", "command": "numpad", "args": [1], "on_up": true, "comment": "" },
	{ "key": "numpad2", "command": "numpad", "args": [2], "on_up": true, "comment": "" },
	{ "key": "numpad3", "command": "numpad", "args": [3], "on_up": true, "comment": "" },
	{ "key": "numpad4", "command": "numpad", "args": [4], "on_up": true, "comment": "" },
	{ "key": "numpad5", "command": "numpad", "args": [5], "on_up": true, "comment": "" },
	{ "key": "numpad6", "command": "numpad", "args": [6], "on_up": true, "comment": "" },
	{ "key": "numpad7", "command": "numpad", "args": [7], "on_up": true, "comment": "" },
	{ "key": "numpad8", "command": "numpad", "args": [8], "on_up": true, "comment": "" },
	{ "key": "numpad9", "command": "numpad", "args": [9], "on_up": true, "comment": "" },
	{ "key": "numpad0", "command": "numpad", "args": [0], "on_up": true, "comment": "" },
	
	{ "key": "up", "command": "move_forward_camera", "on_up": true, "comment": "" },
	{ "key": "down", "command": "move_back_camera", "on_up": true, "comment": "" },
	{ "key": "left", "command": "move_left_camera", "on_up": true, "comment": "" },
	{ "key": "right", "command": "move_right_camera", "on_up": true, "comment": "" },
	
	{ "key": "ctrl+shift+f", "command": "switch_fsaa", "comment": "" },
	
	{ "key": "lbutton", "command": "attack", "on_up":true, "comment": "" },
	
	{ "key": "f11", "command": "debug_ui_switch", "on_up":true, "comment": "" },
	{ "key": "f10", "command": "in_game_ui_switch", "on_up":true, "comment": "" },
	{ "key": "h", "command": "horse_picker_ui_switch", "on_up":true, "comment": "载具列表" },
	{ "key": "x", "command": "horse_using_switch", "on_up":true, "comment": "切换载具" }
]
